<?php

namespace Devurai\AcceptbluePaymentPro\DTOs\AcceptBlueTransactionDetails;

use Devurai\AcceptbluePaymentPro\DTOs\BaseDTO;

class AcceptBlueTransactionDetails extends BaseDTO implements ABTransactionDetails
{

    public function getBatchID(): int
    {
        return $this->response['batch_id'] ?? 0;
    }

    public function getDescription(): string
    {
        return $this->response['description'] ?? 'null';
    }

    public function getClerk(): string
    {
        return $this->response['clerk'] ?? 'null';
    }

    public function getTerminal(): string
    {
        return $this->response['terminal'] ?? 'null';
    }

    public function getInvoiceNumber(): string
    {
        return $this->response['invoice_number'] ?? 'null';
    }

    public function getPoNumber(): string
    {
        return $this->response['po_number'] ?? 'null';
    }

    public function getOrderNumber(): string
    {
        return $this->response['order_number'] ?? 'null';
    }

    public function getSource(): string
    {
        return $this->response['source'] ?? 'null';
    }

    public function getType(): string
    {
        return $this->response['type'] ?? 'null';
    }

    public function getReferenceNumber(): int
    {
        return $this->response['reference_number'] ?? 0;
    }

    public function getScheduleId(): int
    {
        return $this->response['schedule_id'] ?? 0;
    }
}